aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.SetIdentityNotificationTopic

Synopsis

- data SetIdentityNotificationTopic = SetIdentityNotificationTopic {
  - sntIdentity :: Text
  - sntNotificationType :: NotificationType
  - sntSnsTopic :: Maybe Text
  }
- data SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse
- data NotificationType
  - = Bounce
  - | Complaint

# Documentation

data SetIdentityNotificationTopic Source #

Change or remove the Amazon SNS notification topic to which notification of the given type are published.

Constructors

SetIdentityNotificationTopic |

Fields

- sntIdentity :: Text

  The identity for which the SNS topic will be changed.

- sntNotificationType :: NotificationType

  The type of notifications that will be published to the topic.

- sntSnsTopic :: Maybe Text

  `Just` the ARN of the SNS topic or `Nothing` to unset the topic.

#### Instances

Instances details

SignQuery SetIdentityNotificationTopic Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type ServiceConfiguration SetIdentityNotificationTopic |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ServiceConfiguration SetIdentityNotificationTopic = SesConfiguration

Methods

signQuery :: SetIdentityNotificationTopic -> ServiceConfiguration SetIdentityNotificationTopic queryType -> SignatureData -> SignedQuery Source #

Show SetIdentityNotificationTopic Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods showsPrec :: Int -> SetIdentityNotificationTopic -> ShowS Source # show :: SetIdentityNotificationTopic -> String Source # showList :: [SetIdentityNotificationTopic] -> ShowS Source #
Eq SetIdentityNotificationTopic Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods (==) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool Source # (/=) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool Source #
Ord SetIdentityNotificationTopic Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Methods

compare :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Ordering Source #

(<) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool Source #

(<=) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool Source #

(>) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool Source #

(>=) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool Source #

max :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> SetIdentityNotificationTopic Source #

min :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> SetIdentityNotificationTopic Source #

ResponseConsumer SetIdentityNotificationTopic SetIdentityNotificationTopicResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type ResponseMetadata SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityNotificationTopic -> IORef (ResponseMetadata SetIdentityNotificationTopicResponse) -> HTTPResponseConsumer SetIdentityNotificationTopicResponse Source #

Transaction SetIdentityNotificationTopic SetIdentityNotificationTopicResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic
type ServiceConfiguration SetIdentityNotificationTopic Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ServiceConfiguration SetIdentityNotificationTopic = SesConfiguration

data SetIdentityNotificationTopicResponse Source #

The response sent back by SES after the `SetIdentityNotificationTopic` command.

Constructors

SetIdentityNotificationTopicResponse |

#### Instances

Instances details

AsMemoryResponse SetIdentityNotificationTopicResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type MemoryResponse SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type MemoryResponse SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse

Methods

loadToMemory :: SetIdentityNotificationTopicResponse -> ResourceT IO (MemoryResponse SetIdentityNotificationTopicResponse) Source #

Show SetIdentityNotificationTopicResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods showsPrec :: Int -> SetIdentityNotificationTopicResponse -> ShowS Source # show :: SetIdentityNotificationTopicResponse -> String Source # showList :: [SetIdentityNotificationTopicResponse] -> ShowS Source #
Eq SetIdentityNotificationTopicResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods (==) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool Source # (/=) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool Source #
Ord SetIdentityNotificationTopicResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Methods

compare :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Ordering Source #

(<) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool Source #

(<=) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool Source #

(>) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool Source #

(>=) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool Source #

max :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse Source #

min :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse Source #

ResponseConsumer SetIdentityNotificationTopic SetIdentityNotificationTopicResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type ResponseMetadata SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityNotificationTopic -> IORef (ResponseMetadata SetIdentityNotificationTopicResponse) -> HTTPResponseConsumer SetIdentityNotificationTopicResponse Source #

Transaction SetIdentityNotificationTopic SetIdentityNotificationTopicResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic
type MemoryResponse SetIdentityNotificationTopicResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type MemoryResponse SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse
type ResponseMetadata SetIdentityNotificationTopicResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata

data NotificationType Source #

Constructors

Bounce |
Complaint |

#### Instances

Instances details

Show NotificationType Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods showsPrec :: Int -> NotificationType -> ShowS Source # show :: NotificationType -> String Source # showList :: [NotificationType] -> ShowS Source #
Eq NotificationType Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods (==) :: NotificationType -> NotificationType -> Bool Source # (/=) :: NotificationType -> NotificationType -> Bool Source #
Ord NotificationType Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Methods

compare :: NotificationType -> NotificationType -> Ordering Source #

(<) :: NotificationType -> NotificationType -> Bool Source #

(<=) :: NotificationType -> NotificationType -> Bool Source #

(>) :: NotificationType -> NotificationType -> Bool Source #

(>=) :: NotificationType -> NotificationType -> Bool Source #

max :: NotificationType -> NotificationType -> NotificationType Source #

min :: NotificationType -> NotificationType -> NotificationType Source #